%global forgeurl        https://github.com/dreamworksanimation
%global cmodver         1.0.0.5

%bcond tests    1

# Core Dump Fix
%global optflags %(echo '%optflags' | sed s/-Wp,-D_GLIBCXX_ASSERTIONS//)

Name:           mcrt_messages
Version:        14.2.0.0
Release:        %{autorelease}
Summary:        Communication protocol for Arras and MoonRay

License:        Apache-2.0
URL:            https://openmoonray.org/
Source0:        %{forgeurl}/%{name}/archive/refs/tags/%{name}-%{version}.tar.gz
Source1:        %{forgeurl}/cmake_modules/archive/refs/tags/cmake_modules-%{cmodver}.tar.gz

BuildRequires:  cmake >= 3.23.1
BuildRequires:  gcc-c++

BuildRequires:  cmake(ArrasCore)

Requires:       ArrasCore
Provides:       McrtMessages = %{version}

%description
Communication protocol for Arras and MoonRay


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       cmake(ArrasCore)

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-%{name}-%{version}
mkdir -p cmake_modules
tar -xzf %{SOURCE1} --strip-components=1 -C $_

# Include minor releases
sed -i "14s|'[^']*'|'%{version}'|" \
        package.py


%build
ARRAS_SESSION_PATH=%{_libdir}/openmoonray/sessions \
%cmake \
    -DCMAKE_MODULE_PATH=cmake_modules/cmake \
    -DBUILD_TESTING=%{expr:%{with tests}?"ON":"OFF"}
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%{_libdir}/libmcrt_messages.so

%files devel
%{_includedir}/%{name}
%{_libdir}/cmake/McrtMessages-%{version}

%changelog
%autochangelog
